org.fourthline.cling.support.shared

## Class AbstractMap.SimpleImmutableEntry<K,V>

- java.lang.Object
- - org.fourthline.cling.support.shared.AbstractMap.SimpleImmutableEntry<K,V>

- All Implemented Interfaces:
    Serializable, Map.Entry<K,V>
  Enclosing class:
    AbstractMap<K,V>

      public static class AbstractMap.SimpleImmutableEntry<K,V>
      extends Object
      implements Map.Entry<K,V>, Serializable

  An immutable key-value mapping. Despite the name, this class is non-final and its subclasses may be mutable.
  Since:
    1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleImmutableEntry(K theKey, V theValue)`
    `SimpleImmutableEntry(Map.Entry<? extends K,? extends V> copyFrom)` Constructs an instance with the key and value of `copyFrom`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `K` | `getKey()`
    `V` | `getValue()`
    `int` | `hashCode()`
    `V` | `setValue(V object)` This base implementation throws `UnsupportedOperationException` always.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### SimpleImmutableEntry

          public SimpleImmutableEntry(K theKey,
                                      V theValue)

    - #### SimpleImmutableEntry

          public SimpleImmutableEntry(Map.Entry<? extends K,? extends V> copyFrom)

      Constructs an instance with the key and value of `copyFrom`.

  - ### Method Detail

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `Map.Entry<K,V>`

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `Map.Entry<K,V>`

    - #### setValue

          public V setValue(V object)

      This base implementation throws `UnsupportedOperationException` always.
      Specified by:
        `setValue` in interface `Map.Entry<K,V>`

    - #### equals

          public boolean equals(Object object)

      Specified by:
        `equals` in interface `Map.Entry<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map.Entry<K,V>`
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.